"""remove white space from capability steps

Revision ID: 5ab2fcb61373
Revises: 6508afd4da68
Create Date: 2021-07-15 14:03:32.460285

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "5ab2fcb61373"
down_revision = "6508afd4da68"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = 'prepare-and-run-workflow restore_cms\nawait-workflow\nawait-qa' WHERE capability_name = 'restore_cms'
        """
    )
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = 'prepare-and-run-workflow std_restore_imaging\nawait-workflow\nawait-qa' WHERE capability_name = 'std_restore_imaging'
        """
    )


def downgrade():
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = 'prepare-and-run-workflow restore_cms\nawait-workflow\nawait-qa\n' WHERE capability_name = 'restore_cms'
        """
    )
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = 'prepare-and-run-workflow std_restore_imaging\nawait-workflow\nawait-qa\n' WHERE capability_name = 'std_restore_imaging'
        """
    )
